lucene-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Doug Cutting <DCutt...@grandcentral.com>
Subject RE: Does Lucene really work with Java 1.1.8
Date Tue, 09 Oct 2001 16:15:34 GMT
> From: Brook, James [mailto:JBrook@CHELLO.com]
> 
> I am trying to use the 'lucene-1.2-rc1.jar' with a WebObjects 4.5
> application, but having problems. WebObjects uses Java 1.1.8. 
> I read on the
> jGuru Lucene FAQ that Lucene should work with this version of 
> Java. Is this
> correct?

It should, but it looks like it doesn't.  I have logged a bug against this:
  http://nagoya.apache.org/bugzilla/show_bug.cgi?id=4049

I think this is worth fixing before a 1.2 final release is made.  The
simplest approach is to turn off file-based locking in JDK 1.1.8.  Is that
acceptable?

> If the latest version of Lucene only works with Java 1.2, can 
> anyone tell me
> if I can get an older version that works with Java 1.1.8?

  https://sourceforge.net/project/showfiles.php?group_id=3922

Note that that release is still in the com.lucene.* packages.

Doug

Mime
View raw message